FROM php:8.0-apache

RUN apt-get -y update && apt-get install -y libicu-dev git netcat zlib1g libpng-dev libjpeg-dev libfreetype6-dev dos2unix libzip-dev zip
RUN a2enmod rewrite
RUN docker-php-ext-configure intl

RUN docker-php-ext-install pdo pdo_mysql mysqli intl bcmath gd zip opcache

RUN pecl install xdebug && docker-php-ext-enable xdebug

RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer

RUN find . -type f -print0 | xargs -0 dos2unix

